// VehiclesView.h : interface of the CVehiclesView class
//

#include "LogDialog.h"

#pragma once

class CVehiclesView : public CScrollView
{
protected: // create from serialization only
	CVehiclesView();
	DECLARE_DYNCREATE(CVehiclesView)

// Attributes
public:
	CVehiclesDoc* GetDocument() const;

	bool run;

	int cursorMode;

	CLogDialog logDlg;

// Operations
public:

// Overrides
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CVehiclesView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	virtual void OnInitialUpdate();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnCommandNext();
	afx_msg void OnCommandPlay();
	afx_msg void OnCommandStop();
	afx_msg void OnLogShowlog();
	afx_msg void OnCommandAddcar();
	afx_msg void OnCommandRemovecar();
	afx_msg void OnCommandViewcarinfo();
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
};

#ifndef _DEBUG  // debug version in VehiclesView.cpp
inline CVehiclesDoc* CVehiclesView::GetDocument() const
   { return reinterpret_cast<CVehiclesDoc*>(m_pDocument); }
#endif

