#include "StdAfx.h"
#include "Resource.h"
#include "Math.h"
#include "List"
#include ".\automobile.h"

CAutomobile::CAutomobile(void)
{
	x_str2[0].n = "x0";
	x_str2[1].n = "x1";
	x_str2[2].n = "x2";
	x_str2[3].n = "x3";
	x_str2[4].n = "x4";
	x_str2[5].n = "x5";
	x_str2[6].n = "x6";

	x_str2[0].n_name = "  ";
	x_str2[1].n_name = " ";
	x_str2[2].n_name = " ( )";
	x_str2[3].n_name = " ";
	x_str2[4].n_name = " ";
	x_str2[5].n_name = "  ";
	x_str2[6].n_name = "  ";

	z_str2[0].n = "z0";
	z_str2[1].n = "z1";
	z_str2[2].n = "z2";
	z_str2[3].n = "z3";
	z_str2[4].n = "z4";
	z_str2[5].n = "z5";
	z_str2[6].n = "z6";
	
	z_str2[0].n_name = " () ";
	z_str2[1].n_name = " dx";
	z_str2[2].n_name = "  dx";
	z_str2[3].n_name = "  ";
	z_str2[4].n_name = " ";
	z_str2[5].n_name = " ";
	z_str2[6].n_name = " ";

	a0_str2[0].n = "0";
	a0_str2[1].n = "1";
	a0_str2[2].n = "2";
	a0_str2[3].n = "3";
	a0_str2[4].n = "4";
	a0_str2[5].n = "5";
	a0_str2[6].n = "6";
	a0_str2[7].n = "7";

	a0_str2[0].n_name = "";
	a0_str2[1].n_name = " ";
	a0_str2[2].n_name = "  ";
	a0_str2[3].n_name = "   ";
	a0_str2[4].n_name = "  ";
	a0_str2[5].n_name = " ";
	a0_str2[6].n_name = " ";
	a0_str2[7].n_name = "  ";

	currentLogString = 0;

}

CAutomobile::~CAutomobile(void)
{
}

///////////////////////////////////////////////////////////////////////////////
//
// A0 - 
//

void CAutomobile::Main(int e)
{
	int y_old = y0;

	log_a_begin(y_old, e);

	switch( y0 )
	{
	case 0:// 
		if((e == 0) && x0())
		{
			y0 = 1;
		}
		else if((e == 0) && x1())
		{
			z3(); z4(); 
			y0 = 2;
		}
		else if((e == 0))
		{
			z1(); 
		}
		break;

	case 1://  
		if((e == 0) && !x0())
		{
			y0 = 0;
		}
		break;

	case 2://    
		if((e == 0) && x0())
		{
			z0(); 
			y0 = 3;
		}
		else if((e == 0) && x2() && (!x4() || !x5()))
		{
			z0(); 
			y0 = 4;
		}
		else if((e == 0) && x2() && x4() && x5() && (x3() == 0))
		{
			z5(); 
			y0 = 7;
		}
		else if((e == 0) && x2() && x4() && x5() && (x3() == 1))
		{
			z5(); 
			y0 = 6;
		}
		else if((e == 0) && x2() && x4() && x5() && (x3() == 2))
		{
			z5(); 
			y0 = 5;
		}
		else if((e == 0))
		{
			z0(); z1(); 
		}
		break;

	case 3://    
		if((e == 0) && !x0())
		{
			z0(); 
			y0 = 2;
		}
		else if((e == 0))
		{
			z0();
		}
		break;

	case 4://   
		if((e == 0) && x4() && x5() && (x3() == 0))
		{
			z5(); 
			y0 = 7;
		}
		else if((e == 0) && x4() && x5() && (x3() == 2))
		{
			z5(); 
			y0 = 5;
		}
		else if((e == 0) && x4() && x5() && (x3() == 1))
		{
			z5(); 
			y0 = 6;
		}
		else if((e == 0))
		{
			z0(); 
		}
		break;

	case 5://  
		if((e == 0) && x6())
		{
			z6(); 
			y0 = 0;
		}
		else if((e == 0))
		{
			z0(); z2(); 
		}
		break;

	case 6://  
		if((e == 0) && x6())
		{
			z6(); 
			y0 = 0;
		}
		else if((e == 0))
		{
			z0(); z2(); 
		}
		break;

	case 7://   
		if((e == 0) && x6())
		{
			z6(); 
			y0 = 0;
		}
		else if((e == 0))
		{
			z0(); z2(); 
		}
		break;

	default:
		log_write('!', "   A0:   !");
		;
	}

	log_a_end(y0, e);
}

bool CAutomobile::x0() //   
{
	int i = IsCarNear(); 
	log_x(0, i);
	return i;
}

bool CAutomobile::x1() //  
{
	int i = IsJunctionNear();
	log_x(1, i);
	return i;
}

bool CAutomobile::x2() //  ( )
{
	int i = IsJunction();
	log_x(2, i);
	return i;
}

int CAutomobile::x3() //  
{
	int i = turnDirection;
	log_x(3, i);
	return i;
}

bool CAutomobile::x4() //  
{
	int i = IsJuncFree();
	log_x(4, i);
	return i;
}

bool CAutomobile::x5() //   
{
	int i = IsGreenLight();
	log_x(5, i);
	return i;
}

bool CAutomobile::x6() //   
{
	int i = 1;

	if(y0 == AUTOMOBILE_STATE_TURN_THROUGH)
		i = (turnPosition > 10);
	if(y0 == AUTOMOBILE_STATE_TURN_LEFT)
		i = (turnPosition > 10);
	if(y0 == AUTOMOBILE_STATE_TURN_RIGHT)
		i = (turnPosition > 6);

	log_x(6, i);
	return i;
}

void CAutomobile::z0() //  () 
{
	log_z(0);
	lights = !lights;
}

void CAutomobile::z1() //  dx
{
	log_z(1);
	Run();
}

void CAutomobile::z2() //   dx
{
	log_z(2);
	turnPosition++;
}

void CAutomobile::z3() //   
{
	log_z(3);
	turnDirection = GenerateTurnDirection();
}

void CAutomobile::z4() //  
{
	log_z(4);
	currentJunc = endJunc;

	oldDirection = GetDirection();

	if(turnDirection == DIRECTION_THROUGH)
		(*juncs)[currentJunc].carsRunThrough[GetDirection()]++;
	if(turnDirection == DIRECTION_RIGHT)
		(*juncs)[currentJunc].carsTurnRight[GetDirection()]++;
	if(turnDirection == DIRECTION_LEFT)
		(*juncs)[currentJunc].carsTurnLeft[GetDirection()]++;
}

void CAutomobile::z5() //  
{
	log_z(5);
	turnPosition = 0;

	if(turnDirection == DIRECTION_THROUGH)
		y0 = AUTOMOBILE_STATE_TURN_THROUGH;
	if(turnDirection == DIRECTION_RIGHT)
		y0 = AUTOMOBILE_STATE_TURN_RIGHT;
	if(turnDirection == DIRECTION_LEFT)
		y0 = AUTOMOBILE_STATE_TURN_LEFT;

	SetDirection(turnDirection);
}

void CAutomobile::z6() //  
{
	log_z(6);
	if(turnDirection == DIRECTION_THROUGH)
		(*juncs)[currentJunc].carsRunThrough[oldDirection]--;
	if(turnDirection == DIRECTION_RIGHT)
		(*juncs)[currentJunc].carsTurnRight[oldDirection]--;
	if(turnDirection == DIRECTION_LEFT)
		(*juncs)[currentJunc].carsTurnLeft[oldDirection]--;
}

///////////////////////////////////////////////////////////////////////////////
//
//
//

void CAutomobile::Run()
{
	distance += velociti;
}

int CAutomobile::GetDirection()
{
	if(((*juncs)[endJunc].x - (*juncs)[startJunc].x) >= 0 && ((*juncs)[endJunc].y - (*juncs)[startJunc].y) >= 0)
	{
		return DIRECTION_E;
	}
	if(((*juncs)[endJunc].x - (*juncs)[startJunc].x) >= 0 && ((*juncs)[endJunc].y - (*juncs)[startJunc].y) < 0)
	{
		return DIRECTION_N;
	}
	if(((*juncs)[endJunc].x - (*juncs)[startJunc].x) < 0 && ((*juncs)[endJunc].y - (*juncs)[startJunc].y) >= 0)
	{
		return DIRECTION_S;
	}
	if(((*juncs)[endJunc].x - (*juncs)[startJunc].x) < 0 && ((*juncs)[endJunc].y - (*juncs)[startJunc].y) < 0)
	{
		return DIRECTION_W;
	}

	return 0;
}

int CAutomobile::GetDirection(int sj, int ej)
{
	if(((*juncs)[ej].x - (*juncs)[sj].x) >= 0 && ((*juncs)[ej].y - (*juncs)[sj].y) >= 0)
	{
		return DIRECTION_E;
	}
	if(((*juncs)[ej].x - (*juncs)[sj].x) >= 0 && ((*juncs)[ej].y - (*juncs)[sj].y) < 0)
	{
		return DIRECTION_N;
	}
	if(((*juncs)[ej].x - (*juncs)[sj].x) < 0 && ((*juncs)[ej].y - (*juncs)[sj].y) >= 0)
	{
		return DIRECTION_S;
	}
	if(((*juncs)[ej].x - (*juncs)[sj].x) < 0 && ((*juncs)[ej].y - (*juncs)[sj].y) < 0)
	{
		return DIRECTION_W;
	}

	return 0;
}

int CAutomobile::GenerateTurnDirection()
{
	while(true)
	{
		int random = ((double)rand())/(double)RAND_MAX*(3.5);

		int oldEndJunc = endJunc;
		int oldStartJunc = startJunc;

		if(((*juncs)[oldEndJunc].neighbours[(int)random] != -1) && ((*juncs)[oldEndJunc].neighbours[(int)random] != oldStartJunc))
		{
			int oldDirection = GetDirection();
			int newDirection = GetDirection(endJunc, (*juncs)[oldEndJunc].neighbours[(int)random]);

			if(oldDirection == DIRECTION_N)
			{
				if(newDirection == DIRECTION_N)
					return DIRECTION_THROUGH;
				if(newDirection == DIRECTION_E)
					return DIRECTION_RIGHT;
				if(newDirection == DIRECTION_S)
					return -1;
				if(newDirection == DIRECTION_W)
					return DIRECTION_LEFT;
			}
			if(oldDirection == DIRECTION_E)
			{
				if(newDirection == DIRECTION_N)
					return DIRECTION_LEFT;
				if(newDirection == DIRECTION_E)
					return DIRECTION_THROUGH;
				if(newDirection == DIRECTION_S)
					return DIRECTION_RIGHT;
				if(newDirection == DIRECTION_W)
					return -1;
			}
			if(oldDirection == DIRECTION_S)
			{
				if(newDirection == DIRECTION_N)
					return -1;
				if(newDirection == DIRECTION_E)
					return DIRECTION_LEFT;
				if(newDirection == DIRECTION_S)
					return DIRECTION_THROUGH;
				if(newDirection == DIRECTION_W)
					return DIRECTION_RIGHT;
			}
			if(oldDirection == DIRECTION_W)
			{
				if(newDirection == DIRECTION_N)
					return DIRECTION_RIGHT;
				if(newDirection == DIRECTION_E)
					return -1;
				if(newDirection == DIRECTION_S)
					return DIRECTION_LEFT;
				if(newDirection == DIRECTION_W)
					return DIRECTION_THROUGH;
			}

			break;
		}
	}

}

void CAutomobile::SetDirection(int td)
{
	int direction = GetDirection();
	int newDirection;

	if(direction == DIRECTION_N)
	{
		if(td == DIRECTION_THROUGH)
			newDirection = DIRECTION_N;
		if(td == DIRECTION_RIGHT)
			newDirection = DIRECTION_E;
		if(td == DIRECTION_LEFT)
			newDirection = DIRECTION_W;
	}
	if(direction == DIRECTION_E)
	{
		if(td == DIRECTION_THROUGH)
			newDirection = DIRECTION_E;
		if(td == DIRECTION_RIGHT)
			newDirection = DIRECTION_S;
		if(td == DIRECTION_LEFT)
			newDirection = DIRECTION_N;
	}
	if(direction == DIRECTION_S)
	{
		if(td == DIRECTION_THROUGH)
			newDirection = DIRECTION_S;
		if(td == DIRECTION_RIGHT)
			newDirection = DIRECTION_W;
		if(td == DIRECTION_LEFT)
			newDirection = DIRECTION_E;
	}
	if(direction == DIRECTION_W)
	{
		if(td == DIRECTION_THROUGH)
			newDirection = DIRECTION_W;
		if(td == DIRECTION_RIGHT)
			newDirection = DIRECTION_N;
		if(td == DIRECTION_LEFT)
			newDirection = DIRECTION_S;
	}
	
	distance = 37;

	startJunc = endJunc;
	endJunc = (*juncs)[endJunc].neighbours[newDirection];
}

bool CAutomobile::IsCarNear()
{
	for(int i = 0; i < cars->size(); i++)
	{
		if(&(*cars)[i] != this)
		{
			if(((*cars)[i].startJunc == startJunc) && ((*cars)[i].endJunc == endJunc) &&
				(((*cars)[i].distance - distance) < 40) && (((*cars)[i].distance - distance) > 0))
			{
				return true;
			}
		}
	}

	return false;
}

bool CAutomobile::IsJunction()
{
	int distanceBetweenJuncs = sqrt(pow((*juncs)[endJunc].y - (*juncs)[startJunc].y,2)+pow((*juncs)[endJunc].x - (*juncs)[startJunc].x,2));

	if((distanceBetweenJuncs - distance) <= 25)
	{
		distance = distanceBetweenJuncs - 25;
		return true;
	}

	return false;
}

bool CAutomobile::IsJunctionNear()
{
	int distanceBetweenJuncs = sqrt(pow((*juncs)[endJunc].y - (*juncs)[startJunc].y,2)+pow((*juncs)[endJunc].x - (*juncs)[startJunc].x,2));

	if((distanceBetweenJuncs - distance) < 60)
	{
		return true;
	}

	return false;
}

int CAutomobile::GetTurnFromDirection(int d)
{
		return 0;
}

bool CAutomobile::IsGreenLight()
{
	int direction = GetDirection(); 

	return (((*juncs)[currentJunc].type == JUNC_TYPE_NO_TL) ||
			(((*juncs)[currentJunc].y1 == JUNC_STATE_GREEN_NS) && (direction == DIRECTION_N || direction == DIRECTION_S)) || 
			(((*juncs)[currentJunc].y1 == JUNC_STATE_GREEN_EW) && (direction == DIRECTION_W || direction == DIRECTION_E))   );
}

bool CAutomobile::IsJuncFree()
{
	int direction = GetDirection();

	if(direction == DIRECTION_N)
	{
		if(turnDirection == DIRECTION_LEFT)
			if(((*juncs)[currentJunc].carsRunThrough[DIRECTION_S] != 0) || 
				((*juncs)[currentJunc].carsTurnRight[DIRECTION_S] != 0) )
				return false;
	}
	if(direction == DIRECTION_E)
	{
		if(turnDirection == DIRECTION_LEFT)
			if(((*juncs)[currentJunc].carsRunThrough[DIRECTION_W] != 0) || 
				((*juncs)[currentJunc].carsTurnRight[DIRECTION_W] != 0) )
				return false;
	}
	if(direction == DIRECTION_S)
	{
		if(turnDirection == DIRECTION_LEFT)
			if(((*juncs)[currentJunc].carsRunThrough[DIRECTION_N] != 0) || 
				((*juncs)[currentJunc].carsTurnRight[DIRECTION_N] != 0) )
				return false;
	}
	if(direction == DIRECTION_W)
	{
		if(turnDirection == DIRECTION_LEFT)
			if(((*juncs)[currentJunc].carsRunThrough[DIRECTION_E] != 0) || 
				((*juncs)[currentJunc].carsTurnRight[DIRECTION_E] != 0) )
				return false;
	}	

	return true;
}